Subject: [alpine-aports] [PATCH] testing/py3-msgpack: Recompiled for python3

From: Olivier Mauras <[email-masked]>
Date: Tue, 31 May 2016 22:18:00 +0200

testing/py3-msgpack/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/py3-msgpack/APKBUILD

diff --git a/testing/py3-msgpack/APKBUILD b/testing/py3-msgpack/APKBUILD
new file mode 100644
index 0000000..8bcdc71
--- /dev/null
+++ b/testing/py3-msgpack/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Francesco Colista <[email-masked]>
+# Maintainer: Fabian Affolter <[email-masked]>
+pkgname=py3-msgpack
+_pkgname=msgpack-python
+pkgver=0.4.7
+pkgrel=0
+pkgdesc="A Python module for MessagePack serialization/deserialization"
+url="http://pypi.python.org/pypi/msgpack-python/"
+arch="all"
+license="ASL 2.0"
+depends="python"
+depends_dev=""
+makedepends="python3-dev"
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgname-$pkgver
+build () {
+	cd "$builddir"
+	python3 setup.py build || return 1
+}
+		
+package() {
+	cd "$builddir"
+	python3 setup.py install --root="$pkgdir" || return 1
+}
+
+md5sums="eb2aad1081534ef3a9f32a0ecd350b9b  msgpack-python-0.4.7.tar.gz"
+sha256sums="5e001229a54180a02dcdd59db23c9978351af55b1290c27bc549e381f43acd6b  msgpack-python-0.4.7.tar.gz"
+sha512sums="10cc51c5f46a908953298071a46a790b9b78a577e37abd546c76f72386c3847885e36523680c86b9a13fb099fc2a17c3c7a0119c750ac5e7081c72df3ebd7a7e  msgpack-python-0.4.7.tar.gz"
-- 
2.8.2

---

From: Olivier Mauras <[email-masked]>
Date: Fri, 3 Jun 2016 13:03:47 +0200

---
 testing/py3-msgpack/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/testing/py3-msgpack/APKBUILD b/testing/py3-msgpack/APKBUILD
index 8bcdc71..41b01ce 100644
--- a/testing/py3-msgpack/APKBUILD
+++ b/testing/py3-msgpack/APKBUILD
@@ -3,12 +3,12 @@
 pkgname=py3-msgpack
 _pkgname=msgpack-python
 pkgver=0.4.7
-pkgrel=0
+pkgrel=1
 pkgdesc="A Python module for MessagePack serialization/deserialization"
 url="http://pypi.python.org/pypi/msgpack-python/"
 arch="all"
 license="ASL 2.0"
-depends="python"
+depends="python3"
 depends_dev=""
 makedepends="python3-dev"
 subpackages=""
-- 
2.8.3